.hero {
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--color-dark);
  position: relative;
  overflow: hidden;
  padding: 2rem;
}

.hero-content {
  text-align: left;
  color: white;
  z-index: 2;
  max-width: 800px;
  margin-left: 8rem;
}

.hero h1 {
  font-size: var(--step-2);
  margin-bottom: 1rem;
  font-weight: 300;
}

.hero h2{
  font-size: var(--step-1);
  font-weight: 300;
}

.hero h3 {
  font-size: var(--step-1);
  color: var(--color-gris_2);
  line-height: 1.2;
  font-weight: 300;
  margin-top: 0rem;
  margin-bottom: 2rem;
}

.hero h4 {
  font-size: var(--step--1);
  font-weight: 400;
  margin-bottom: 2rem;
}


.hero p {
  font-size: var(--step--0);
  margin-bottom: 2rem;
}

.hero-buttons {
  display: flex;
  gap: 1rem;
  justify-content: flex-start;
}

.hero-circle {
  width: max(800px);
  overflow: hidden; /* Evita el scroll si el video es más grande */
}

.video-background {
  position: absolute;
  top: 10%;
  left: 50%;
  transform: translate(-10%, 0);
  object-fit: cover; /* Asegura que el video cubra todo el contenedor */
  z-index: 1; /* Envía el video detrás del contenido */
}

@media (max-width: 768px) {
  .hero{
    flex-direction: column;
  }


  .hero h1 {
    font-size: var(--step-3);
  }

  .hero-buttons {

    align-items: center;
    gap: 0.5rem;
  }

  .hero-circle {
    width: 100vw;
  }

  .video-background {
    width: 100vw;
    transform: translate(-50%, 0);
  }

  .hero-content{
    margin-top: 20rem;
    width: 90vw;
    margin-left: 0;
    text-align: center;
  }

  .btn-secondary{
    padding: 0.8rem 1.5rem;

  }
    
}